import java.io.*;
import javax.swing.filechooser.*;

class j8phImageFileFilter extends javax.swing.filechooser.FileFilter {

	public boolean accept(File f) {

		if (f == null) {
			return false;
		}

		String[] extList = new String[4];

		extList[0] = new String(".bmp");
		extList[1] = new String(".jpg");
		extList[2] = new String(".jpeg");
		extList[3] = new String(".png");

		String name = f.getName();

		if (f.isFile() && name != null) {

			boolean ac = false;

			for (int i = 0;i < extList.length;i++) {
				if (name.toLowerCase().endsWith(extList[i])) {
					ac = true;
				}
			}

			if (!ac) {
				return false;
			}

		}

		return true;

	}

	public String getDescription() {
		return "画像ファイル";
	}

}
